#include "mainwindow.h"
#include <QApplication>

#include <QDebug>
#include<QDir>
#include <QSslSocket>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QDir dir(argv[0]); // e.g. appdir/Contents/MacOS/appname
    dir.cdUp();
    dir.cdUp();
    dir.cd("PlugIns"); // e.g. appdir/Contents/PlugIns
    QStringList libpaths=QCoreApplication::libraryPaths();
    libpaths.append(dir.absolutePath());
    QCoreApplication::setLibraryPaths(libpaths);

    qDebug()<<QApplication::libraryPaths();
    qDebug()<<dir.entryList();

    qDebug() << "Support SSL:  " << QSslSocket::supportsSsl()
             << "\nLib Version Number: " << QSslSocket::sslLibraryVersionNumber()
             << "\nLib Version String: " << QSslSocket::sslLibraryVersionString()
             << "\nLib Build Version Number: " << QSslSocket::sslLibraryBuildVersionNumber()
             << "\nLib Build Version String: " << QSslSocket::sslLibraryBuildVersionString();

    QFont font( "Euphemia", 10);
    a.setFont( font );
    int ret=0;
    do{

    MainWindow *w=new MainWindow();
    w->show();
    ret=a.exec();
    }while(ret!=0);
    return ret;
}
