#include "dialog.h"
#include "ui_dialog.h"

#include <QDebug>

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);
    ui->widget->setUrl(QUrl("http://mail.google.com"));
    connect(ui->widget,SIGNAL(urlChanged(QUrl)),this,SLOT(urchanged(QUrl)));

    ui->pushButton_2->setEnabled(false);
    ui->stackedWidget->setCurrentIndex(0);
}

Dialog::~Dialog()
{
    delete ui;
}

void Dialog::on_pushButton_clicked()
{
    ui->stackedWidget->setCurrentIndex(1);
}

void Dialog::on_lineEdit_textChanged(const QString &arg1)
{
    qDebug()<<arg1;
    ui->pushButton_2->setEnabled(true);
}

void Dialog::urchanged(QUrl url)
{
    qDebug()<<url;
    emit baa();
}

void Dialog::on_pushButton_2_clicked()
{
    ui->stackedWidget->setCurrentIndex(2);
}
